function load_w(color)
fondowiki:blit(0,0)
screen.print(240,130,"Cargando, por favor espera",1,blanco,color,"center")
screen.flip()
end

function pedir_wiki()
if keyboard==1 then nombre=teclado(1,"Escribe tu palabra",30,"") else nombre=os.osk("Escribe tu palabra","",30,1,0) end

http.get("http://es.wikipedia.org/wiki/"..nombre,"a.txt")

load_w(rojo)


for variable in io.lines("a.txt") do
	if variable:find("<")!=nil then
		a=variable:find("<") 
		if variable:find(">",a)!=nil then b=variable:find(">") end
		parte1=variable:sub(0,a-1)
		parte2=variable:sub(b+1,variable:len())
		txt=parte1..parte2
		txt=txt:gsub("\r\r","\r")
		txt=txt:gsub("\n\n","\n")
		table.insert(texto,txt)
		if #texto>30 then
			texto[32]="Error"
			break
		end
	end
end

txt=nil
variable=nil

load_w(verde)

files.remove("a.txt")
actual=1
end

function buscar_word(word)
	for i=1,#texto do
		if string.find(texto[i],word)!=nil and actual!=i then actual=i break end
	end
end


function wikipedia()
liberar(17)
texto={}
while true do
controls.read()

fondowiki:blit(0,0)

if #texto>0 then
	if #texto>12 then
		for i=actual,actual+12 do
			screen.print(50,50+15*i-15*actual,texto[i],0.65,blanco,verde)
		end
		if controls.press("up") and actual>1 then actual=actual-1 end
		if controls.press("down") and actual+12<#texto then actual=actual+1 end
	else
		for i=1,#texto do
			screen.print(50,50+15*i-15*actual,texto[i],0.65,blanco,verde)
		end
	end
	if controls.press("r") then 
		if keyboard==1 then argument=teclado(1,"Escribe tu palabra",15,"") else argument=os.osk("Escribe tu palabra","",15,1,0) end
		buscar_word(argument) 
	end
else
	screen.print(240,100,"Pulsa X para buscar una palabra\n\nCon R puedes buscar palabras en el texto",0.65,rojo,0,"center")
end

if controls.press("cross") then pedir_wiki() end




if controls.start() then
	sistema()
	texto=nil
end
screen.flip()
end
end
